# GET Fixture by ID

### `GET` Fixture by ID

```
https://soccer.sportmonks.com/api/v2.0/fixtures/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                      |
| -------------------- | -------------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc to your request url.     |
| bookmakers           | Filter on a list of bookmaker id's separated by comma. Can be used by adding `&bookmakers=` etc to your request url. |
| markets              | Filter on a list of market id's separated by comma. Can be used by adding `&markets=` etc to your request url.       |

#### Include options

`localTeam` `visitorTeam` `substitutions` `goals` `cards` `other` `events` `corners` `lineup` `bench` `sidelined` `comments` `tvstations` `highlights` `round` `stage` `referee` `venue` `odds` `inplayOdds` `flatOdds` `localCoach` `visitorCoach` `group` `trends` `firstAssistant` `secondAssistant` `fourthOfficial` `stats` `shootout` `league` `stats` `probability` `valuebet` `news`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/fixtures/16475287?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
    "data": [
        {
            "id": 16475287,
            "league_id": 501,
            "season_id": 17141,
            "stage_id": 77447501,
            "round_id": 194968,
            "group_id": null,
            "aggregate_id": null,
            "venue_id": 8909,
            "referee_id": 14859,
            "localteam_id": 53,
            "visitorteam_id": 338,
            "winner_team_id": 53,
            "weather_report": {
                "code": "clouds",
                "type": "few clouds",
                "icon": "https://cdn.sportmonks.com/images/weather/02d.png",
                "temperature": {
                    "temp": 59.94,
                    "unit": "fahrenheit"
                },
                "temperature_celcius": {
                    "temp": 15.5,
                    "unit": "celcius"
                },
                "clouds": "20%",
                "humidity": "67%",
                "pressure": 1014,
                "wind": {
                    "speed": "10.29 m/s",
                    "degree": 300
                },
                "coordinates": {
                    "lat": 55.87,
                    "lon": -4.26
                },
                "updated_at": "2020-08-02T17:15:04.814798Z"
            },
            "commentaries": false,
            "attendance": null,
            "pitch": null,
            "details": null,
            "neutral_venue": false,
            "winning_odds_calculated": true,
            "formations": {
                "localteam_formation": "4-2-3-1",
                "visitorteam_formation": "4-4-2"
            },
            "scores": {
                "localteam_score": 5,
                "visitorteam_score": 1,
                "localteam_pen_score": null,
                "visitorteam_pen_score": null,
                "ht_score": "2-1",
                "ft_score": "5-1",
                "et_score": null,
                "ps_score": null
            },
            "time": {
                "status": "FT",
                "starting_at": {
                    "date_time": "2020-08-02 15:30:00",
                    "date": "2020-08-02",
                    "time": "15:30:00",
                    "timestamp": 1596382200,
                    "timezone": "UTC"
                },
                "minute": 90,
                "second": null,
                "added_time": null,
                "extra_minute": null,
                "injury_time": null
            },
            "coaches": {
                "localteam_coach_id": 1467946,
                "visitorteam_coach_id": 30082158
            },
            "standings": {
                "localteam_position": 1,
                "visitorteam_position": 12
            },
            "assistants": {
                "first_assistant_id": 12118,
                "second_assistant_id": 17249,
                "fourth_official_id": 15815
            },
            "leg": "1/1",
            "colors": {
                "localteam": {
                    "color": "#007848",
                    "kit_colors": "#F0F0F0,#139343,#5B0623,#0A0A0A,#5C8FAE,#FFDF1B,#F0F0F0"
                },
                "visitorteam": {
                    "color": "#0046A8",
                    "kit_colors": "#0046A8,#0046A8,#0046A8,#0046A8,#C40010,#0046A8,#0046A8"
                }
            },
            "deleted": false,
            "is_placeholder": false,
        }
    ],
```

{% endtab %}

{% tab title="Field Description" %}

| Field                   | Description                                                                                                                                                                   |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data`                  | Opens an array of data you've requested                                                                                                                                       |
| `id`                    | A unique fixture id                                                                                                                                                           |
| `league_id`             | The unique id of the league the fixture belongs to                                                                                                                            |
| `season_id`             | The unique id of the season the fixture belongs to                                                                                                                            |
| `stage_id`              | The unique id of the stage the fixture belongs to                                                                                                                             |
| `round_id`              | The unique id of the round the fixture belongs to                                                                                                                             |
| `group_id`              | The unique id of the group the fixture belongs to                                                                                                                             |
| `aggregate_id`          | Indicates if the fixture has an aggregated score                                                                                                                              |
| `venue_id`              | The unique id of the venue the fixture is played at                                                                                                                           |
| `referee_id`            | The unique id of the referee that is in charge of the fixture                                                                                                                 |
| `localteam_id`          | The unique id of the local team                                                                                                                                               |
| `visitorteam_id`        | The unique id of the visitor team                                                                                                                                             |
| `winnerteam_id`         | Contains the id of the team that won the fixture                                                                                                                              |
| `weather_report`        | Opens an array of weather details. Possible values of the data in this array can be found in our [statuses and definitions](/v2/api-references/statussus-and-definitions.md)  |
| `commentaries`          | Indicates if this fixture has commentaries available                                                                                                                          |
| `attendance`            | Give information about the visitor attendance of the fixture                                                                                                                  |
| `pitch`                 | Gives information about the pitch. Possible values can be found in our [statuses and definitions](/v2/api-references/statussus-and-definitions.md)                            |
| `details`               | Optional additional information.                                                                                                                                              |
| `neutral_venue`         | Indicates if the fixture was played at a neutral fixture. This often happens in cup finals                                                                                    |
| `formations`            | Opens an array containing the lineup formations of the teams. Possible values can be found in our [statuses and definitions](/v2/api-references/statussus-and-definitions.md) |
| `scores`                | Opens an array containing the scores of the fixture                                                                                                                           |
| `localteam_score`       | The number of goals the local team has scored in this fixture                                                                                                                 |
| `visitorteam_score`     | The number of goals the visitor team has scored in this fixture                                                                                                               |
| `localteam_pen_score`   | The number of penalty goals the local team has scored in this fixture (only available when the fixture goes into penalty shootout)                                            |
| `visitorteam_pen_score` | The number of penalty goals the visitor team has scored in this fixture (only available when the fixture goes into penalty shootout)                                          |
| `ht_score`              | The score at halftime                                                                                                                                                         |
| `ft_score`              | The score at full time (90 minutes)                                                                                                                                           |
| `et_score`              | The score in extra time (only available when the fixture goes into extra time)                                                                                                |
| `ps_score`              | The score of the penalty shootout (only available when the fixture goes into penalty shootout)                                                                                |
| `time`                  | Opens an array containing the time details of the fixture                                                                                                                     |
| `status`                | Indicates in which phase the fixture is in. Possible values can be found in our [statuses and definitions](/v2/api-references/statussus-and-definitions.md)                   |
| `starting_at`           | Opens an array containing the time details of the fixture                                                                                                                     |
| `date_time`             | Gives the date and time the fixture starts                                                                                                                                    |
| `date`                  | Gives the date on which the fixture is played                                                                                                                                 |
| `time`                  | Gives the starting time of the fixture                                                                                                                                        |
| `timestamp`             | The timestamp notation of the match                                                                                                                                           |
| `timezone`              | Indicates in which timezone you've requested the data                                                                                                                         |
| `minute`                | Indicates in which minute the fixture is in                                                                                                                                   |
| `second`                | Indicates in which second the fixture is in                                                                                                                                   |
| `added_time`            | Indicates how much added time is added                                                                                                                                        |
| `extra_minute`          | Extra minute is when a fixture goes to extra time. Extra\_minute will count from 0 to 15 and from 15 to 30.                                                                   |
| `injury_time`           | In case of added time, it will end up in injury\_minute                                                                                                                       |
| `coaches`               | Opens an array containing the unique id's of the coaches                                                                                                                      |
| `localteam_coach_id`    | The unique id of the coach from the local team                                                                                                                                |
| `visitorteam_coach_id`  | The unique id of the coach from the visitor team                                                                                                                              |
| `standings`             | Opens an array containing the standings of the local- and visitor team                                                                                                        |
| `localteam_position`    | Indicates in which positions the local team is before the fixture                                                                                                             |
| `visitorteam_position`  | Indicates in which positions the visitor team is before the fixture                                                                                                           |
| `assistants`            | Opens an array containing the unique id's of the assistant referees                                                                                                           |
| `first_assistant_id`    | The unique id of the first assistant                                                                                                                                          |
| `second_assistant_id`   | The unique id of the second assistant                                                                                                                                         |
| `fourth_official_id`    | The unique id of the fourth official                                                                                                                                          |
| `leg`                   | Indicates in how many legs this fixture is played                                                                                                                             |
| `colors`                | Opens an array containing information about the team colors                                                                                                                   |
| `localteam`             | Opens an array containing information about the local team colors                                                                                                             |
| `color`                 | The main color code of the local team                                                                                                                                         |
| `kit_colors`            | The kit color codes of the local team                                                                                                                                         |
| `visitorteam`           | Opens an array containing information about the visitor team colors                                                                                                           |
| `color`                 | The main color code of the visitor team                                                                                                                                       |
| `kit_colors`            | The kit color codes of the local team                                                                                                                                         |
| `deleted`               | Indicates if the team was deleted. More information: [Keep in Sync](/v2/how-to-guides/how-to-keep-your-database-in-sync-deleted-1.md)                                         |
| `is_placeholder`        | This property indicates if the resource is used to display dummy data. The false of this property will always be a `boolean` value.                                           |
| {% endtab %}            |                                                                                                                                                                               |
| {% endtabs %}           |                                                                                                                                                                               |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                                [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#b7f79045-eac3-40c5-b114-24c5b438f62c)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/fixtures/get-fixture-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
